Tuesday, January 18, 2022

Jenkins Advisory 2022-01-12: CVE-2022-23109:

Description
Jenkins HashiCorp Vault Plugin 3.7.0 and earlier does not mask Vault credentials in Pipeline build logs or in Pipeline step descriptions when Pipeline: Groovy Plugin 2.85 or later is installed.
Solution(s)
  • jenkins-lts-upgrade-2_319_2
  • jenkins-upgrade-2_330


  • References
  • https://attackerkb.com/topics/cve-2022-23109
  • CVE - 2022-23109
  • https://jenkins.io/security/advisory/2022-01-12/




  •  

    Copyright © 2021 Vulnerability Database | Cyber Details™

    thank you Templateism for the design - You should have written the code a little more complicated - Nothing Encrypted anymore